%define anolis_release 2
%bcond_without check

Name:           python-tomli-w
Version:        1.0.0
Release:        %{anolis_release}%{?dist}
Summary:        A Python library for writing TOML

License:        MIT
URL:            https://github.com/hukkin/tomli-w
Source0:        %{url}/archive/%{version}/tomli-w-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires: 	python-tomli

%global _description %{expand:
Tomli-W is a Python library for writing TOML. It is a write-only counterpart
to Tomli, which is a read-only TOML parser. Tomli-W is fully compatible
with TOML v1.0.0.}

%description %_description

%package -n python3-tomli-w
Summary:        %{summary}

%description -n python3-tomli-w %_description

%package -n python3-tomli-w-doc
Summary:        %{summary}
Requires:       python3-tomli-w = %{EVR}
BuildArch:      noarch

%description -n python3-tomli-w-doc
The python3-tomli-w-doc package contains documentation files for python3-tomli-w.

%prep
%autosetup -p1 -n tomli-w-%{version}
# Measuring coverage is discouraged in Python packaging guidelines:
sed -i '/pytest-cov/d' tests/requirements.txt
# it has many missing transitive dependencies that we don't want to maintain
sed -i '/pytest-randomly/d' tests/requirements.txt


%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tomli_w

%check
%pyproject_check_import tomli_w
%if %{with check}
%tox
%endif

%files -n python3-tomli-w -f %{pyproject_files}
%license LICENSE

%files -n python3-tomli-w-doc
%doc README.md
%doc CHANGELOG.md

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.0.0-2
- Rebuild with python3.11

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 1.0.0-1
- package init from upstream
